STRUCT DRM_DP_AUX_MS(9)

NAME
struct_drm_dp_aux_msg - DisplayPort AUX channel transaction

SYNOPSIS

struct drm_dp_aux_msg {
  unsigned int address;
  u8 request;
  u8 reply;
  void * buffer;
  size_t size;
};

MEMBERS

address
    address of the (first) register to access

request
    contains the type of transaction (see DP_AUX_* macros)

reply
    upon completion, contains the reply type of the transaction

buffer
    pointer to a transmission or reception buffer

size
    size of buffer

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT